<?php

namespace App\Http\Livewire\Admin;

use App\Models\HomeSlider;
use Carbon\Carbon;
use Livewire\Component;
use Livewire\WithFileUploads;

class AdminAddHomeSliderComponent extends Component
{
    use WithFileUploads;
    
    public $title;
    public $subtitle;
    public $price;
    public $link;
    public $image;
    public $status;

    public function mount()
    {
        $this->status = 0;
    }

    public function addSlide()
    {
        $imageName = Carbon::now()->timestamp . '.' . $this->image->extension();
        $this->image->storeAs('sliders', $imageName);

        HomeSlider::create([
            'title' => $this->title,
            'subtitle' => $this->subtitle,
            'price' => $this->price,
            'link' => $this->link,
            'image' => $imageName,
            'status' => $this->status,
        ]);

        session()->flash('message', 'A new slide has been added successfully');
    }

    public function render()
    {
        $statuses = HomeSlider::STATUSES;
        return view('livewire.admin.admin-add-home-slider-component', compact('statuses'));
    }
}
