<?php

namespace App\Http\Livewire\Admin;

use App\Models\Category;
use App\Models\Subcategory;
use Livewire\Component;
use Livewire\WithPagination;

class AdminCategoryComponent extends Component
{
    use WithPagination;

    public function deleteCategory($id)
    {
        $category = Category::find($id);
        $category->delete();
        session()->flash('message', 'Category has been deleted successfully!');
    }

    public function deleteSubcategory($id)
    {
        $subcategory = Subcategory::find($id);
        $subcategory->delete();
        session()->flash('message', 'Subcategory has been deleted successfully!');
    }
    

    public function render()
    {
        $categories = Category::latest()->paginate(4);
        return view('livewire.admin.admin-category-component', compact('categories'));
    }
}
