<?php

namespace App\Http\Livewire\Admin;

use Livewire\Component;
use App\Models\Category;
use App\Models\Order;
use Carbon\Carbon;
use Livewire\WithPagination;

class AdminDashboardComponent extends Component
{
    use WithPagination;
    
    public function render()
    {
        // $categories = Category::paginate();
        $orders = Order::orderBy('created_at', 'DESC')->take(10)->get();
        $totalSales = Order::where('status', 'delivered')->count();
        $totalRevenue = Order::where('status', 'delivered')->sum('total');
        $todaySales = Order::where('status', 'delivered')->whereDate('created_at', Carbon::today())->count();
        $todayRevenue = Order::where('status', 'delivered')->whereDate('created_at', Carbon::today())->sum('total');
        return view('livewire.admin.admin-dashboard-component', 
               compact('orders', 'totalSales', 'totalRevenue', 'todaySales', 'todayRevenue'));
    }
}
