<?php

namespace App\Http\Livewire\Admin;

use App\Models\ProductAttribute;
use Attribute;
use Livewire\Component;

class AdminEditAttributeComponent extends Component
{
    public $name;
    public $productAttribute;

    public function mount(ProductAttribute $attribute)
    {
        $this->productAttribute = $attribute;
        $this->name = $attribute->name;
    }

    public function updated($fields){
        $this->validateOnly($fields, [
            "name" => 'required'
        ]);
    } 

    public function updateAttribute()
    {
        $data = $this->validate([
                    "name" => 'required'
                ]);

        $this->productAttribute->update($data);

        session()->flash('message', 'Attribute has been updated successfully');
    }

    public function render()
    {
        return view('livewire.admin.admin-edit-attribute-component');
    }
}
