<?php

namespace App\Http\Livewire\Admin;

use App\Models\Category;
use App\Models\Subcategory;
use Livewire\Component;
use Illuminate\Support\Str;

class AdminEditCategoryComponent extends Component
{
    public $category_slug;
    public $category_id;
    public $name;
    public $slug;
    public $parent_id;
    public $subcategory_id;
    public $subcategory;

    // public function mount(Category $category, Subcategory $subcategory_slug=null)
    public function mount(Category $category,  Subcategory $subcategory)
    {
        // dd($category);
        // dd($subcategory->exists);
        if($subcategory->exists){
            // dd('sub');
            // $this->subcategory_slug = $subcategory_slug;
            // $subcategory = Subcategory::where('slug', $subcategory_slug)->first();
            $this->subcategory_id = $subcategory->id;
            $this->parent_id = $subcategory->category_id;
            // $this->category_id = $subcategory->category_id;
            $this->name = $subcategory->name;
            $this->slug = $subcategory->slug;
            // dd($this->parent_id);
        }else{
            // dd('parent');
            $this->category_id = $category->id;
            $this->name = $category->name;
            $this->slug = $category->slug;
        }
        // $this->category_slug = $category_slug;
        // $category = Category::where('slug', $category_slug)->first();
    }

    public function generateSlug()
    {
        $this->slug = Str::slug($this->name);
    }

    public function updated($fields)
    {
        $this->validateOnly($fields, [
            'name' => 'required',
            'slug' => 'required|unique:categories',
            'parent_id' => 'nullable|exists:categories,id'
        ]);
    }

    public function updateCategory()
    {
        $this->validate([
            'name' => 'required',
            'slug' => 'required|unique:categories',
            'parent_id' => 'nullable|exists:categories,id'
        ]);

        if($this->subcategory_id){
            $subcategory = Subcategory::find($this->subcategory_id);
            $subcategory->name = $this->name;
            $subcategory->slug = $this->slug;
            $subcategory->category_id = $this->parent_id;
            $subcategory->save();
        }else{
            
            $category = Category::find($this->category_id);
            $category->update([
                'name' => $this->name,
                'slug' => $this->slug
            ]);
        }
        // $this->reset();
        session()->flash('message', 'Category has been updated successfully');
    }

    public function render()
    {
        $categories = Category::all();
        return view('livewire.admin.admin-edit-category-component', compact('categories'));
    }
}
