<?php

namespace App\Http\Livewire\Admin;

use App\Models\HomeSlider;
use Carbon\Carbon;
use Livewire\Component;
use Livewire\WithFileUploads;

class AdminEditHomeSliderComponent extends Component
{
    use WithFileUploads;
    
    public $slide;
    public $title;
    public $subtitle;
    public $price;
    public $link;
    public $image;
    public $newImage;
    public $status;

    public function updateSlide()
    {
        if($this->newImage){
            $imageName = Carbon::now()->timestamp . '.' . $this->newImage->extension();
            $this->newImage->storeAs('sliders', $imageName);
        }else{
            $imageName = $this->image;
        }
        $this->slide->update([
            'title' => $this->title,
            'subtitle' => $this->subtitle,
            'price' => $this->price,
            'link' => $this->link,
            'image' => $imageName,
            'status' => $this->status,
        ]);
        session()->flash('message', 'Slide has been updated successfully');
    }

    public function mount($slide_id)
    {
        $this->slide = HomeSlider::find($slide_id);
        $this->title = $this->slide->title;
        $this->subtitle = $this->slide->subtitle;
        $this->price = $this->slide->price;
        $this->link = $this->slide->link;
        $this->image = $this->slide->image;
        $this->status = $this->slide->status;
    }

    public function render()
    {
        $statuses = HomeSlider::STATUSES;
        return view('livewire.admin.admin-edit-home-slider-component', compact('statuses'));
    }
}
