<?php

namespace App\Http\Livewire\Admin;

use App\Models\Category;
use App\Models\HomeCategory;
use Livewire\Component;

class AdminHomeCategoryComponent extends Component
{
    public $selected_categories = [];
    public $number_of_products;
    public $featured_categories;

    public function mount()
    {
        $this->featured_categories = HomeCategory::find(1);
    
        if($this->featured_categories){
            $this->selected_categories = $this->featured_categories->category_ids;
            $this->number_of_products = $this->featured_categories->no_of_products;
        }
    }

    public function updateHomeCategory()
    {
        // dd(gettype($this->selected_categories));
        // dd($this->number_of_products);
        
        HomeCategory::updateOrCreate(['id' => 1], [
            'category_ids' => $this->selected_categories,
            'no_of_products' => $this->number_of_products
        ]);
        // $this->featured_categories->update([
        //     'category_ids' => $this->selected_categories,
        //     'no_of_products' => $this->number_of_products
        // ]);

        session()->flash('message', 'HomeCategory has been updated successfully');

    }

    public function render()
    {
        $categories = Category::all();
        return view('livewire.admin.admin-home-category-component', compact('categories'));
    }
}
