<?php

namespace App\Http\Livewire\Admin;

use App\Models\Order;
use Illuminate\Support\Facades\DB;
use Livewire\Component;

class AdminOrderComponent extends Component
{
    public function updateOrderStatus($order_id, $status)
    {
        $order = Order::find($order_id);
        $order->status = $status;
        if($status == 'delivered'){
            $order->delivered_date = DB::raw('CURRENT_DATE');
            $order->cancelled_date = null;
        }
        else if($status == 'cancelled')
        {
            $order->cancelled_date = DB::raw('CURRENT_DATE');
            $order->delivered_date = null;
        }
        $order->save();
        session()->flash('order_message', 'Order status has been updated successfully');
    }
    
    public function render()
    {
        $orders = Order::latest('created_at')->paginate(12);
        return view('livewire.admin.admin-order-component', compact('orders'));
    }
}
