<?php

namespace App\Http\Livewire\Admin;

use App\Models\Product;
use Livewire\Component;
use Livewire\WithPagination;

class AdminProductComponent extends Component
{
    use WithPagination;

    public function deleteProduct(Product $product)
    {
        if($product->image){
            unlink('assets/images/products/'. $product->image);
        }
        if($product->images){
            $images = explode(',', $product->images);
            foreach ($images as $image) {
                if($image){
                    unlink('assets/images/products/'. $image);
                }
            }
        }
        $product->delete();
        session()->flash('message', 'Product has been deleted successfully');
    }

    public function render()
    {
        $products = Product::latest()->paginate(10);

        return view('livewire.admin.admin-product-component', compact('products'));
    }
}
