<?php

namespace App\Http\Livewire\Admin;

use App\Models\Sale;
use Livewire\Component;

class AdminSaleComponent extends Component
{
    public $sale_date;
    public $status;

    public function mount()
    {
        $sale = Sale::find(1);
        $this->sale_date = $sale->sale_date;
        $this->status = $sale->status;
    }

    public function updateSaleSettings()
    {   
        Sale::updateOrCreate(['id' => 1], [
            'sale_date' => $this->sale_date,
            'status' => $this->status
        ]);
       
        session()->flash('message', 'Sale Settings has been updated successfully');

    }

    public function render()
    {
        $statuses = Sale::STATUS;
        return view('livewire.admin.admin-sale-component', compact('statuses'));
    }
}
