<?php

namespace App\Http\Livewire;

use Livewire\Component;
use Illuminate\Support\Facades\Auth;
use Cart;

class CartIcon extends Component
{
    public $count;

    protected $listeners = [
        // 'CartItemChangeEvent' => '$refresh'
        'CartItemChangeEvent' => 'iCount'
    ];

    public function iCount()
    {
        $this->count = Cart::instance('cart')->count();
        if(Auth::check()){
            Cart::instance('cart')->store(Auth::user()->email);
        }
    }

    public function mount()
    {
        $this->count = Cart::instance('cart')->count();
    }
    
    public function render()
    {  
        return view('livewire.cart-icon');
    }
}
