<?php

namespace App\Http\Livewire\User;

use App\Models\Order;
use Carbon\Carbon;
use Livewire\Component;

class UserOrderDetailsComponent extends Component
{
    public $order_id;

    public function mount($order_id)
    {
        $this->order_id = $order_id;
    }

    public function cancelOrder()
    {
        $order = Order::find($this->order_id);
        $order->status = "cancelled";
        $order->cancelled_date = Carbon::today();
        $order->save();
        session()->flash('order_message', 'Order has been cancelled');
    }

    public function render()
    {
        $order = Order::where('user_id', auth()->id())
                ->where('id', $this->order_id)->first();
                
        return view('livewire.user.user-order-details-component', compact('order'));
    }
}
