<?php

namespace App\Http\Livewire;

use Livewire\Component;
use Illuminate\Support\Facades\Auth;
use Cart;

class WishlistIconComponent extends Component
{
    public $wCount;

    protected $listeners = [
        // 'WishlistChangeEvent' => '$refresh'
        'WishlistChangeEvent' => 'UpdateWishList'
    ];

    public function UpdateWishList()
    {
        $this->wCount = Cart::instance('wishlist')->count();
        if(Auth::check()){
            Cart::instance('wishlist')->store(Auth::user()->email);
        }
    }

    public function mount()
    {
        $this->wCount = Cart::instance('wishlist')->count();
    }

    public function render()
    {
        return view('livewire.wishlist-icon-component');
    }
}
