<?php

namespace App\Models;

use App\Traits\AdjustTime;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Order extends Model
{
    use HasFactory, AdjustTime;

    protected $fillable = [
        'user_id', 'subtotal', 'discount',
        'tax', 'total', 'firstname', 'lastname',
        'mobile', 'email', 'address', 'city', 
        'country', 'zipcode', 'status', 
        'is_shipping_different'
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }
    
    public function orderItems()
    {
        return $this->hasMany(OrderItem::class);
    }

    public function shipping()
    {
        return $this->hasOne(Shipping::class);
    }
    
    public function transaction()
    {
        return $this->hasOne(Transaction::class);
    }
}
