<?php

namespace App\Traits;
use Cart;

trait CartActions {

    public function addToCart($id, $name, $qty, $price)
    {
        Cart::instance('cart')->add($id, $name, $qty, $price)->associate('App\Models\Product');
        session()->flash('success_message', 'Item added to cart');
        $this->emit('CartItemChangeEvent');
        // return redirect()->route('cart');
    }

    public function increaseQty($rowId)
    {
        $item = Cart::instance('cart')->get($rowId);
        $qty = $item->qty + 1;
        Cart::update($rowId, $qty);
        $this->emit('CartItemChangeEvent');
    }

    public function decreaseQty($rowId)
    {
        $item = Cart::instance('cart')->get($rowId);
        $qty = $item->qty - 1;
        Cart::update($rowId, $qty);
        $this->emit('CartItemChangeEvent');
    }

    public function removeFromCart($rowId)
    {
        Cart::instance('cart')->remove($rowId);
        session()->flash('success_message', 'Item has been removed');
        $this->emit('CartItemChangeEvent');
    }

    public function removeFromCartByProductId($product_id)
    {
        foreach (Cart::instance('cart')->content() as $item) {
           if($item->id == $product_id)
           {
                Cart::instance('cart')->remove($item->rowId);
                $this->emit('CartItemChangeEvent');
                return;
           }
        }
    }

    public function clearCart()
    {
        Cart::instance('cart')->destroy();
        session()->flash('success_message', 'Your cart has been cleared');
        $this->emit('CartItemChangeEvent');
    }
}