<?php

namespace App\Traits;
use Illuminate\Support\Facades\Auth;
use Cart;

trait SavedForLaterActions {

    public function switchToSaveForLater($rowId)
    {
        $item = Cart::instance('cart')->get($rowId);
        Cart::instance('savedForLater')->add($item->id, $item->name, 1, $item->price)->associate('App\Models\Product');
        Cart::instance('cart')->remove($rowId);
        $this->emitTo('cart-icon', 'CartItemChangeEvent');
        $this->updateWishlistInDb();
        session()->flash('s_success_message', 'Item has been saved for later');
    }

    public function moveToCart($rowId)
    {
        $item = Cart::instance('savedForLater')->get($rowId);
        Cart::instance('cart')->add($item->id, $item->name, 1, $item->price)->associate('App\Models\Product');
        Cart::instance('savedForLater')->remove($rowId);
        $this->emitTo('cart-icon', 'CartItemChangeEvent');
        $this->updateWishlistInDb();
        session()->flash('s_success_message', 'Item has been moved to cart');
    }

    public function deleteFromSaveForLater($rowId)
    {
        Cart::instance('savedForLater')->remove($rowId);
        $this->updateWishlistInDb();
        session()->flash('s_success_message', 'Item has been deleted');
    }

    public function updateWishlistInDb()
    {
        if(Auth::check()){
            Cart::instance('savedForLater')->store(Auth::user()->email);
        }
    }
}