<?php

namespace App\Traits;
use App\Models\Product;

trait SortOptions {

    public function actions($sorting, $pagesize, $category_id = null, $subcategory_id = null, $search = null)
    {
        $product = Product::query();

        if($category_id !== null)
        {
            $product = $product->where('category_id', $category_id);
        }

        if($subcategory_id !== null){
            $product = $product->where('subcategory_id', $subcategory_id);
        }

        if($search !== null)
        {
            $product = $product->where('name', 'like', '%'.$search.'%');
        }
        
      
        if($sorting == 'date')
        {
            return $product->whereBetween('regular_price', [$this->min_price, $this->max_price])
                    ->orderBy('created_at', 'DESC')->paginate($pagesize);
        }
        else if($sorting == 'price')
        {
            return $product->whereBetween('regular_price', [$this->min_price, $this->max_price])
                    ->orderBy('regular_price', 'ASC')->paginate($pagesize);
        }
       else if($sorting == 'price-desc')
       {
            return $product->whereBetween('regular_price', [$this->min_price, $this->max_price])
                    ->orderBy('regular_price', 'DESC')->paginate($pagesize);
       }else{          
            return $product->whereBetween('regular_price', [$this->min_price, $this->max_price])
                    ->paginate($pagesize); 
       }
    }

}