<?php

namespace App\Traits;
use Cart;

trait WishlistActions {

    public function addToWishlist($id, $name, $price)
    {
        Cart::instance('wishlist')->add($id, $name, 1, $price)->associate('App\Models\Product');
        session()->flash('success_message', 'Item added to wishlist');
        $this->emit('WishlistChangeEvent');
    }

    public function removeFromWishlist($product_id)
    {
        foreach (Cart::instance('wishlist')->content() as $witem) {
           if($witem->id == $product_id)
           {
                Cart::instance('wishlist')->remove($witem->rowId);
                $this->emit('WishlistChangeEvent');
                return;
           }
        }
    }

    public function moveProductFromWishlistToCart($rowId)
    {
        $item = Cart::instance('wishlist')->get($rowId);
        Cart::instance('wishlist')->remove($rowId);
        Cart::instance('cart')->add($item->id, $item->name, 1, $item->price)->associate('App\Models\Product');
        session()->flash('message', 'Item moved to cart');
        $this->emitTo('wishlist-icon-component', 'WishlistChangeEvent');
        $this->emitTo('cart-icon', 'CartItemChangeEvent');
    }
}