<div>
    <div class="container" style="padding:30px 0">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <div class="row">
                            <div class="col-md-6">
                                Add Product
                            </div>
                            <div class="col-md-6">
                                <a href="{{route('admin.products')}}" class="btn btn-success pull-right">All Products</a>
                            </div>
                        </div>
                    </div>
                    <div class="panel-body">
                        @if(Session::has('message'))
                            <div class="alert alert-success" role="alert">
                                {{Session::get('message')}}
                            </div>
                        @elseif(Session::has('error'))
                            <div class="alert alert-danger" role="alert">
                                {{Session::get('error')}}
                            </div>
                        @endif
                        <form class="form-horizontal" enctype="multipart/form-data" wire:submit.prevent="storeProduct">
                            @csrf
                            <div class="form-group">
                                <label class="col-md-4 control-label">Product Name</label>
                                <div class="col-md-4">
                                    <input type="text" placeholder="Product Name" class="form-control input-md" wire:model="name" wire:keyup="generateSlug" value="{{old('name')}}">
                                    @error('name') <p class="text-danger">{{$message}}</p> @enderror
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-4 control-label">Product Slug</label>
                                <div class="col-md-4">
                                    <input type="text" placeholder="Product Slug" class="form-control input-md" wire:model="slug" value="{{old('slug')}}">
                                    @error('slug') <p class="text-danger">{{$message}}</p> @enderror
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-4 control-label">Short Description</label>
                                <div class="col-md-4">
                                    <textarea placeholder="Short Description" class="form-control" wire:model="short_description">{{old('short_description')}}</textarea>
                                    @error('short_description') <p class="text-danger">{{$message}}</p> @enderror
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-4 control-label">Description</label>
                                <div class="col-md-4">
                                    <textarea placeholder="Description" class="form-control" wire:model="description">{{old('description')}}</textarea>
                                    @error('description') <p class="text-danger">{{$message}}</p> @enderror
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-4 control-label">Regular Price</label>
                                <div class="col-md-4">
                                    <input type="number" placeholder="Regular Price" class="form-control input-md" wire:model="regular_price" value="{{old('regular_price')}}">
                                    @error('regular_price') <p class="text-danger">{{$message}}</p> @enderror
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-4 control-label">Sale Price</label>
                                <div class="col-md-4">
                                    <input type="number" placeholder="Sale Price" class="form-control input-md" wire:model="sale_price" value="{{old('sale_price')}}">
                                    @error('sale_price') <p class="text-danger">{{$message}}</p> @enderror
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-4 control-label">SKU</label>
                                <div class="col-md-4">
                                    <input type="text" placeholder="SKU" class="form-control input-md" wire:model="SKU" value="{{old('SKU')}}">
                                    @error('SKU') <p class="text-danger">{{$message}}</p> @enderror
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-4 control-label">Stock Status</label>
                                <div class="col-md-4">
                                   <select class="form-control" wire:model="stock_status">
                                        @foreach ($statuses as $key => $status )
                                            <option @if(old('stock_status') == $key) selected @endif value="{{$key}}">{{$status}}</option> 
                                        @endforeach
                                   </select>  
                                   @error('stock_status') <p class="text-danger">{{$message}}</p> @enderror 
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-4 control-label">Featured</label>
                                <div class="col-md-4">
                                   <select class="form-control" wire:model="featured">
                                        <option value="0">No</option> 
                                        <option value="1">Yes</option>
                                   </select>  
                                   @error('featured') <p class="text-danger">{{$message}}</p> @enderror 
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-4 control-label">Quantity</label>
                                <div class="col-md-4">
                                   <input type="number" class="form-control input-md" wire:model="quantity" value="{{old('quantity')}}"> 
                                   @error('quantity') <p class="text-danger">{{$message}}</p> @enderror
                                </div>
                              
                            </div>

                            <div class="form-group">
                                <label class="col-md-4 control-label">Product Image</label>
                                <div class="col-md-4">
                                   <input type="file" class="input-file" wire:model="image"> 
                                   @if($image)
                                    <img src="{{$image->temporaryUrl()}}" width="120" />
                                   @endif
                                   @error('image') <p class="text-danger">{{$message}}</p> @enderror
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-4 control-label">Product Gallery</label>
                                <div class="col-md-4">
                                   <input type="file" class="input-file" wire:model="images" multiple> 
                                   @if($images)
                                        @foreach ($images as $img)
                                            <img src="{{$img->temporaryUrl()}}" width="120" />
                                        @endforeach
                                   @endif
                                   @error('images') <p class="text-danger">{{$message}}</p> @enderror
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-4 control-label">Category</label>
                                <div class="col-md-4">
                                  <select class="form-control" wire:model="category_id" wire:change="changeSubcategory">
                                    <option value="">Select Category</option>
                                    @foreach ($categories as $category)
                                        <option @if(old('category') == $category->id) selected @endif value="{{$category->id}}">{{$category->name}}</option>
                                    @endforeach
                                  </select> 
                                  @error('category_id') <p class="text-danger">{{$message}}</p> @enderror
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-4 control-label">Subcategory</label>
                                <div class="col-md-4">
                                  <select class="form-control" wire:model="subcategory_id">
                                    <option value="0">Select Subcategory</option>
                                    @foreach ($subcategories as $subcategory)
                                        <option @if(old('subcategory') == $subcategory->id) selected @endif value="{{$subcategory->id}}">{{$subcategory->name}}</option>
                                    @endforeach
                                  </select> 
                                  @error('subcategory_id') <p class="text-danger">{{$message}}</p> @enderror
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-4 control-label">Product Attributes</label>
                                <div class="col-md-4">
                                  <select class="form-control" wire:model="attr" wire:change="changeSubcategory">
                                    <option value="0">Select Attribute</option>
                                    @foreach ($attributes as $attribute)
                                        <option @if(old('attribute') == $attribute->id) selected @endif value="{{$attribute->id}}">{{$attribute->name}}</option>
                                    @endforeach
                                  </select> 
                                  @error('attribute') <p class="text-danger">{{$message}}</p> @enderror
                                </div>
                                <div class="col-md-1">
                                    <button type="button" class="btn btn-info" wire:click.prevent="add">Add</button>
                                </div>
                            </div>

                            

                            {{-- @foreach ($inputs as $key => $input) --}}
                            @foreach ($attr_arr as $key => $attr_item)
                            
                                <div class="form-group">
                                    <label class="col-md-4 control-label">{{$attributes->where('id', $attr_item)->first()->name}}</label>
                                    <div class="col-md-4">
                                    <input type="text" class="form-control input-md" wire:model="attr_values.{{$attr_item}}" > 
                                    @error("attr_values.{{$attr_item}}") <p class="text-danger">{{$message}}</p> @enderror
                                    </div>
                                    <div class="col-md-1">
                                        <button type="button" class="btn btn-danger btn-sm" wire:click.prevent="remove({{$key}})">x</button>
                                    </div>
                                </div>
                            @endforeach

                            <div class="form-group">
                                <label class="col-md-4 control-label"></label>
                                <div class="col-md-4">
                                 <button type="submit" class="btn btn-primary">Create</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
