
<div class="container" style="padding: 30px 0;">
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Manage Home Categories
                </div>
                <div class="panel-body">
                    @if(Session::has('message'))
                        <div class="alert alert-success" role="alert">{{Session::get('message')}}</div>
                    @endif

                    <form action="" class="form-horizontal" wire:submit.prevent="updateHomeCategory">
                        @csrf
                        <div class="form-group">
                            <label for="" class="col-md-4 control-label">Choose Categories</label>
                            <div class="col-md-4" wire:ignore >
                                <select id="edit-select"  class="sel_categories form-control" name="selected_categories[]"  wire:model="selected_categories" multiple>
                                    @foreach ($categories as $category)
                                        <option value="{{$category->id}}" @if(in_array($category->id, $selected_categories)) {{'selected'}} @endif>
                                            {{$category->name}}
                                        </option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label">No Of Products</label>
                            <div class="col-md-4">
                                <input type="number" class="form-control input-md" min="0"  wire:model="number_of_products">
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-4 control-label"></label>
                            <div class="col-md-4">
                                <button type="submit" class="btn btn-primary">Save</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@push('child-scripts')
    {{-- <script src="{{asset('assets/js/select2.min.js')}}"></script> --}}
    <script>
        
        $(document).ready(function(){
            // $('.sel_categories').select2();
            // $('.sel_categories').on('change', function(e){
            //     var data = $('.sel_categories').select2("val");
            //     @this.set('selected_categories', data);
            // });
            $('#edit-select').select2().on('select2:select',function(e){
                var data = $('#edit-select').select2("val");
                @this.set('selected_categories', data);
            });
        })
    </script>
@endpush