<main id="main" class="main-site">

    <div class="container">

        <div class="wrap-breadcrumb">
            <ul>
                <li class="item-link"><a href="/" class="link">home</a></li>
                <li class="item-link"><span>Checkout</span></li>
            </ul>
        </div>
        @if(Session::has('error'))
        <div class="alert alert-danger" role="alert">
            {{Session::get('error')}}
        </div>
        @endif
        <form wire:submit.prevent="placeOrder" onsubmit="$('#processing').show();" method="post">
            <div class="main-content-area">
                <div class="row">
                    <div class="col-md-12">
                        <div class="wrap-address-billing">
                            <h3 class="box-title">Billing Address</h3>
                            <div class="billing-address">
                                <p class="row-in-form">
                                    <label for="fname">First Name<span>*</span></label>
                                    <input id="fname" type="text" name="fname"  placeholder="Your name" wire:model="firstname">
                                    @error('firstname') <span class="text-danger">{{$message}}</span> @enderror
                                </p>
                                <p class="row-in-form">
                                    <label for="lname">Last Name<span>*</span></label>
                                    <input id="lname" type="text" name="lname" placeholder="Your last name" wire:model="lastname">
                                    @error('lastname') <span class="text-danger">{{$message}}</span> @enderror
                                </p>
                                <p class="row-in-form">
                                    <label for="email">Email Address<span>*</span></label>
                                    <input id="email" type="email" name="email"  placeholder="Type your email" wire:model="email">
                                    @error('email') <span class="text-danger">{{$message}}</span> @enderror
                                </p>
                                <p class="row-in-form">
                                    <label for="phone">Phone Number<span>*</span></label>
                                    <input id="phone" type="number" name="phone"  placeholder="11 digits format" wire:model="mobile">
                                    @error('mobile') <span class="text-danger">{{$message}}</span> @enderror
                                </p>
                                <p class="row-in-form">
                                    <label for="address">Address<span>*</span></label>
                                    <input id="address" type="text" name="address"  placeholder="Street at apartment number" wire:model="address">
                                    @error('address') <span class="text-danger">{{$message}}</span> @enderror
                                </p>
                                <p class="row-in-form">
                                    <label for="city">Town / City<span>*</span></label>
                                    <input id="city" type="text" name="city"  placeholder="City name" wire:model="city">
                                    @error('city') <span class="text-danger">{{$message}}</span> @enderror
                                </p>
                                <p class="row-in-form">
                                    <label for="country">Country<span>*</span></label>
                                    <input id="country" type="text" name="country"  placeholder="Country" wire:model="country">
                                    @error('country') <span class="text-danger">{{$message}}</span> @enderror
                                </p>
                                <p class="row-in-form">
                                    <label for="zip-code">Postcode / ZIP</label>
                                    <input id="zip-code" type="number" name="zip-code"  placeholder="Your postal code" wire:model="zipcode">
                                    @error('zipcode') <span class="text-danger">{{$message}}</span> @enderror
                                </p>
                               
                                <p class="row-in-form fill-wife">
                                    <label class="checkbox-field">
                                        <input name="different-add" id="different-add" value="1" type="checkbox" wire:model="ship_to_different">
                                        <span>Ship to a different address?</span>
                                    </label>
                                    @error('ship_to_different') <span class="text-danger">{{$message}}</span> @enderror
                                </p>
                            </div>
                        </div>
                    </div>
                    @if ($ship_to_different)
                    <div class="col-md-12">
                        <div class="wrap-address-billing">
                            <h3 class="box-title">Shipping Address</h3>
                            <div class="billing-address">
                                <p class="row-in-form">
                                    <label for="s_fname">First Name<span>*</span></label>
                                    <input id="s_fname" type="text" name="sfname"  placeholder="Your name" wire:model="shipping_firstname">
                                    @error('shipping_firstname') <span class="text-danger">{{$message}}</span> @enderror
                                </p>
                                <p class="row-in-form">
                                    <label for="s_lname">Last Name<span>*</span></label>
                                    <input id="s_lname" type="text" name="slname"  placeholder="Your last name" wire:model="shipping_lastname">
                                    @error('shipping_lastname') <span class="text-danger">{{$message}}</span> @enderror
                                </p>
                                <p class="row-in-form">
                                    <label for="s_email">Email Address<span>*</span></label>
                                    <input id="s_email" type="email" name="email"  placeholder="Type your email" wire:model="shipping_email">
                                    @error('shipping_email') <span class="text-danger">{{$message}}</span> @enderror
                                </p>
                                <p class="row-in-form">
                                    <label for="s_phone">Phone Number<span>*</span></label>
                                    <input id="s_phone" type="number" name="phone" placeholder="11 digits format" wire:model="shipping_mobile">
                                    @error('shipping_mobile') <span class="text-danger">{{$message}}</span> @enderror
                                </p>
                                <p class="row-in-form">
                                    <label for="s_address">Address<span>*</span></label>
                                    <input id="s_address" type="text" name="s_address" placeholder="Street at apartment number" wire:model="shipping_address">
                                    @error('shipping_address') <span class="text-danger">{{$message}}</span> @enderror
                                </p>
                                <p class="row-in-form">
                                    <label for="s_city">Town / City<span>*</span></label>
                                    <input id="s_city" type="text" name="city"  placeholder="City name" wire:model="shipping_city">
                                    @error('shipping_city') <span class="text-danger">{{$message}}</span> @enderror
                                </p>
                                <p class="row-in-form">
                                    <label for="s_country">Country<span>*</span></label>
                                    <input id="s_country" type="text" name="country" value="" placeholder="Country" wire:model="shipping_country">
                                    @error('shipping_country') <span class="text-danger">{{$message}}</span> @enderror
                                </p>
                                <p class="row-in-form">
                                    <label for="s_zip-code">Postcode / ZIP</label>
                                    <input id="s_zip-code" type="number" name="zip-code" value="" placeholder="Your postal code" wire:model="shipping_zipcode">
                                    @error('shipping_zipcode') <span class="text-danger">{{$message}}</span> @enderror
                                </p>
                            
                            </div>
                        </div>
                    </div>
                    @endif
                    
                </div>
            
                <div class="summary summary-checkout">
                    <div class="summary-item payment-method">
                        <h4 class="title-box">Payment Method</h4>
                        <p class="summary-info"><span class="title">Check / Money order</span></p>
                        <p class="summary-info"><span class="title">Credit Cart (saved)</span></p>
                        <div class="choose-payment-methods">
                            <label class="payment-method">
                                <input name="payment-method" id="payment-method-bank" value="cod" type="radio" wire:model="payment_mode">
                                <span>Cash On Delivery</span>
                                <span class="payment-desc">Order Now Pay on Delivery</span>
                            </label>
                            <label class="payment-method">
                                <input name="payment-method" id="payment-method-visa" value="card" type="radio" wire:model="payment_mode">
                                <span>Debit / Credit Card</span>
                                <span class="payment-desc">There are many variations of passages of Lorem Ipsum available</span>
                            </label>
                            <label class="payment-method">
                                <input name="payment-method" id="payment-method-paypal" value="paypal" type="radio" wire:model="payment_mode">
                                <span>Paypal</span>
                                <span class="payment-desc">You can pay with your credit</span>
                                <span class="payment-desc">card if you don't have a paypal account</span>
                            </label>
                            @error('payment_mode') <span class="text-danger">{{$message}}</span> @enderror
                        </div>
                        @if (Session::has('checkout'))
                        <p class="summary-info grand-total"><span>Grand Total</span> <span class="grand-total-price">₦{{session()->get('checkout')['total']}}</span></p>
                        @endif
                       
                        @if($errors->isEmpty())
                        <div wire:ignore id="processing" style="font-size: 22px; margin-bottom: 20px; padding-left:37px; color:green; display:none; ">
                            <i class="fa fa-spinner fa-pulse fa-fw"></i>
                            <span>Processing...</span>
                        </div>
                        @endif

                        <button type="submit" class="btn btn-medium">Place order now</button>
                    </div>
                    <div class="summary-item shipping-method">
                        <h4 class="title-box f-title">Shipping method</h4>
                        <p class="summary-info"><span class="title">Flat Rate</span></p>
                        <p class="summary-info"><span class="title">Fixed $0</span></p>
                       
                    </div>
                </div>
    
              
    
            </div><!--end main content area-->     
        </form>
       
    </div><!--end container-->

</main>