@push('child-styles')
<style>
.add-to-cart.remove{
    color:  #ff2832 !important;
}
.add-to-cart.remove:hover{
    color: #fff !important; 
    background:  #ff2832 !important;
}
.fa.fa-caret-right{
    margin-right: 10px;
}
.wrap-shop-control.search{
    margin-top: 0;
}
</style>
@endpush

<main id="main" class="main-site left-sidebar">

    <div class="container">

        <div class="wrap-breadcrumb">
            <ul>
                <li class="item-link"><a href="/" class="link">home</a></li>
                @if (Route::currentRouteName() == 'category.products') 
                    <li class="item-link"><span>Categories</span></li>
                @endif
                <li class="item-link"><span>{{$pageTitle}}</span></li>
            </ul>
        </div>
        <div class="row">

            <div class="col-lg-9 col-md-8 col-sm-8 col-xs-12 main-content-area">
                @if(!request()->routeIs('product.search'))
                    <div class="banner-shop">
                        <a href="#" class="banner-link">
                            <figure><img src="{{asset('assets/images/shop-banner.jpg')}}" alt=""></figure>
                        </a>
                    </div>
                @endif
               

                <div class="wrap-shop-control {{request()->routeIs('product.search') ? 'search' : ''}}">

                    <h1 class="shop-title">{{$pageTitle}}</h1>

                    <div class="wrap-right">

                        <div class="sort-item orderby ">
                            <select name="orderby" class="use-chosen" wire:model="sorting">
                                <option value="default" selected="selected">Default sorting</option>
                                {{-- <option value="popularity">Sort by popularity</option> --}}
                                {{-- <option value="rating">Sort by average rating</option> --}}
                                <option value="date">Sort by newness</option>
                                <option value="price">Sort by price: low to high</option>
                                <option value="price-desc">Sort by price: high to low</option>
                            </select>
                        </div>

                        <div class="sort-item product-per-page">
                            <select name="post-per-page" class="use-chosen" wire:model="pagesize" >
                                <option value="12" selected="selected">12 per page</option>
                                <option value="16">16 per page</option>
                                <option value="18">18 per page</option>
                                <option value="21">21 per page</option>
                                <option value="24">24 per page</option>
                                <option value="30">30 per page</option>
                                <option value="32">32 per page</option>
                            </select>
                        </div>

                        <div class="change-display-mode">
                            <a href="#" class="grid-mode display-mode active"><i class="fa fa-th"></i>Grid</a>
                            <a href="list.html" class="list-mode display-mode"><i class="fa fa-th-list"></i>List</a>
                        </div>

                    </div>

                </div><!--end wrap shop control-->
                
                @if($products->count() > 0)
                <div class="row">

                    <ul class="product-list grid-products equal-container">
                        @foreach($products as $product)
                        <li class="col-lg-4 col-md-6 col-sm-6 col-xs-6 ">
                            <div class="product product-style-3 equal-elem ">
                                <div class="product-thumnail">
                                    <a href="{{route('product.details', $product->slug)}}" title="{{$product->name}}">
                                        <figure><img src="{{asset('assets/images/products')}}/{{$product->image}}" alt="{{$product->name}}"></figure>
                                    </a>
                                </div>
                                <div class="product-info">
                                    <a href="{{route('product.details', $product->slug)}}" class="product-name"><span>{{$product->name}}</span></a>
                                    @if( $product->sale_price > 0 && $sale->status == 1 && $sale->sale_date > Carbon\Carbon::now())
                                    <div class="wrap-price"><span class="product-price text-red">{{$product->format_sale_price()}}</span>&nbsp;&nbsp;<del><span class="product-price">{{$product->format_regular_price()}}</span></del></div>
                                        @if (!$cart_ids->contains($product->id))    
                                        <a href="#" class="btn add-to-cart" wire:click.prevent="addToCart({{$product->id}}, '{{$product->name}}', 1, {{$product->sale_price}})">Add To Cart</a>
                                        @else
                                        <a href="#" class="btn add-to-cart remove" wire:click.prevent="removeFromCartByProductId({{$product->id}})">Remove From Cart</a>
                                        @endif
                                    @else
                                    <div class="wrap-price"><span class="product-price">{{$product->format_regular_price()}}</span></div>
                                        @if (!$cart_ids->contains($product->id))
                                        <a href="#" class="btn add-to-cart" wire:click.prevent="addToCart({{$product->id}}, '{{$product->name}}', 1, {{$product->regular_price}})">Add To Cart</a>
                                        @else
                                        <a href="#" class="btn add-to-cart remove" wire:click.prevent="removeFromCartByProductId({{$product->id}})">Remove From Cart</a>
                                        @endif
                                    @endif
                                    
                                    <div class="product-wish">
                                       
                                        @if ($wishlist_ids->contains($product->id))
                                        <a href="#"  wire:click.prevent="removeFromWishlist({{$product->id}})"><i class="fa fa-heart fill-heart"></i></a>
                                        @else
                                            @if( $product->sale_price > 0 && $sale->status == 1 && $sale->sale_date > Carbon\Carbon::now())
                                            <a href="#" wire:click.prevent="addToWishlist({{$product->id}}, '{{$product->name}}', {{$product->sale_price}})"><i class="fa fa-heart"></i></a>
                                            @else
                                            <a href="#" wire:click.prevent="addToWishlist({{$product->id}}, '{{$product->name}}', {{$product->regular_price}})"><i class="fa fa-heart"></i></a>
                                            @endif
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </li>
                        @endforeach

                    </ul>

                </div>
                @else
                <p style="padding-top:30px;">No Products</p>
                @endif
                

                <div class="wrap-pagination-info">
                    {{$products->links()}}
                    {{-- <ul class="page-numbers">
                        <li><span class="page-number-item current" >1</span></li>
                        <li><a class="page-number-item" href="#" >2</a></li>
                        <li><a class="page-number-item" href="#" >3</a></li>
                        <li><a class="page-number-item next-link" href="#" >Next</a></li>
                    </ul>
                    <p class="result-count">Showing 1-8 of 12 result</p> --}}
                </div>
            </div><!--end main products area-->

            <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12 sitebar">
                <div class="widget mercado-widget categories-widget">
                    <h2 class="widget-title">All Categories</h2>
                    <div class="widget-content">
                        <ul class="list-category">

                            @foreach($categories as $category)
                                <li class="category-item {{count($category->subcategories) > 0 ? 'has-child-cate' : ''}}">
                                    <a href="{{route('category.products', $category->slug)}}" class="cate-link">{{$category->name}}</a>
                                    @if(count($category->subcategories) > 0)
                                        <span class="toggle-control">+</span>
                                        <ul class="sub-cate">
                                            @foreach ($category->subcategories as $subcategory)
                                                <li>
                                                    <a href="{{route('category.products', [$category->slug, $subcategory->slug])}}" class="cat-link"><i class="fa fa-caret-right"></i>{{$subcategory->name}}</a>
                                                </li>
                                            @endforeach
                                        </ul>
                                    @endif
                                </li>
                            @endforeach
                            
                            {{-- <li class="category-item has-child-cate">
                                <a href="#" class="cate-link">Furnitures & Home Decors</a>
                                <span class="toggle-control">+</span>
                                <ul class="sub-cate">
                                    <li class="category-item"><a href="#" class="cate-link">Batteries (22)</a></li>
                                    <li class="category-item"><a href="#" class="cate-link">Headsets (16)</a></li>
                                    <li class="category-item"><a href="#" class="cate-link">Screen (28)</a></li>
                                </ul>
                            </li> --}}
    
                        </ul>
                    </div>
                </div><!-- Categories widget-->

                <div class="widget mercado-widget filter-widget brand-widget">
                    <h2 class="widget-title">Brand</h2>
                    <div class="widget-content">
                        <ul class="list-style vertical-list list-limited" data-show="6">
                            <li class="list-item"><a class="filter-link active" href="#">Fashion Clothings</a></li>
                            <li class="list-item"><a class="filter-link " href="#">Laptop Batteries</a></li>
                            <li class="list-item"><a class="filter-link " href="#">Printer & Ink</a></li>
                            <li class="list-item"><a class="filter-link " href="#">CPUs & Prosecsors</a></li>
                            <li class="list-item"><a class="filter-link " href="#">Sound & Speaker</a></li>
                            <li class="list-item"><a class="filter-link " href="#">Shop Smartphone & Tablets</a></li>
                            <li class="list-item default-hiden"><a class="filter-link " href="#">Printer & Ink</a></li>
                            <li class="list-item default-hiden"><a class="filter-link " href="#">CPUs & Prosecsors</a></li>
                            <li class="list-item default-hiden"><a class="filter-link " href="#">Sound & Speaker</a></li>
                            <li class="list-item default-hiden"><a class="filter-link " href="#">Shop Smartphone & Tablets</a></li>
                            <li class="list-item">
                                <a data-label='Show less<i class="fa fa-angle-up" aria-hidden="true"></i>' class="btn-control control-show-more" href="#">Show more<i class="fa fa-angle-down" aria-hidden="true"></i>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div><!-- brand widget-->

                <div class="widget mercado-widget filter-widget price-filter">
                    <h2 class="widget-title">Price <span class="text-info">₦{{$min_price}} - ₦{{$max_price}}</span></h2>
                    <div class="widget-content" style="padding:10px 5px 40px 5px">
                        <div id="slider" class="slider" wire:ignore></div>
                       
                    </div>
                </div><!-- Price-->

                <div class="widget mercado-widget filter-widget">
                    <h2 class="widget-title">Color</h2>
                    <div class="widget-content">
                        <ul class="list-style vertical-list has-count-index">
                            <li class="list-item"><a class="filter-link " href="#">Red <span>(217)</span></a></li>
                            <li class="list-item"><a class="filter-link " href="#">Yellow <span>(179)</span></a></li>
                            <li class="list-item"><a class="filter-link " href="#">Black <span>(79)</span></a></li>
                            <li class="list-item"><a class="filter-link " href="#">Blue <span>(283)</span></a></li>
                            <li class="list-item"><a class="filter-link " href="#">Grey <span>(116)</span></a></li>
                            <li class="list-item"><a class="filter-link " href="#">Pink <span>(29)</span></a></li>
                        </ul>
                    </div>
                </div><!-- Color -->

                <div class="widget mercado-widget filter-widget">
                    <h2 class="widget-title">Size</h2>
                    <div class="widget-content">
                        <ul class="list-style inline-round ">
                            <li class="list-item"><a class="filter-link active" href="#">s</a></li>
                            <li class="list-item"><a class="filter-link " href="#">M</a></li>
                            <li class="list-item"><a class="filter-link " href="#">l</a></li>
                            <li class="list-item"><a class="filter-link " href="#">xl</a></li>
                        </ul>
                        <div class="widget-banner">
                            <figure><img src="{{asset('assets/images/size-banner-widget.jpg')}}" width="270" height="331" alt=""></figure>
                        </div>
                    </div>
                </div><!-- Size -->

                @include('partials.popular-products') 

            </div><!--end sitebar-->

        </div><!--end row-->

    </div><!--end container-->

</main>

@push('child-scripts')
	<script src="{{asset('assets/js/chosen.jquery.min.js')}}"></script>
    <script>
        var slider = document.getElementById('slider');
        noUiSlider.create(slider, {
            start: [1, 1000],
            connect: true,
            range: {
                'min' : 1,
                'max' : 1000
            },
            pips: {
                mode: 'steps',
                stepped: true,
                density: 4
            }
        });

        slider.noUiSlider.on('update', function(value){
            @this.set('min_price', value[0]);
            @this.set('max_price', value[1]);
        });
    </script>
@endpush