<?php

use App\Http\Controllers\ProductController;
use App\Http\Livewire\AboutComponent;
use App\Http\Livewire\Admin\AdminAddAttributeComponent;
use App\Http\Livewire\Admin\UserDashboardComponent;
use App\Http\Livewire\Admin\AdminDashboardComponent;
use App\Http\Livewire\Admin\AdminCategoryComponent;
use App\Http\Livewire\Admin\AdminAddCategoryComponent;
use App\Http\Livewire\Admin\AdminAddCouponComponent;
use App\Http\Livewire\Admin\AdminAddHomeSliderComponent;
use App\Http\Livewire\Admin\AdminAddProductComponent;
use App\Http\Livewire\Admin\AdminAttributesComponent;
use App\Http\Livewire\Admin\AdminContactComponent;
use App\Http\Livewire\Admin\AdminCouponComponent;
use App\Http\Livewire\Admin\AdminEditAttributeComponent;
use App\Http\Livewire\Admin\AdminEditCategoryComponent;
use App\Http\Livewire\Admin\AdminEditCouponComponent;
use App\Http\Livewire\Admin\AdminEditHomeSliderComponent;
use App\Http\Livewire\Admin\AdminEditProductComponent;
use App\Http\Livewire\Admin\AdminHomeCategoryComponent;
use App\Http\Livewire\Admin\AdminHomeSliderComponent;
use App\Http\Livewire\Admin\AdminOrderComponent;
use App\Http\Livewire\Admin\AdminOrderDetailsComponent;
use App\Http\Livewire\Admin\AdminProductComponent;
use App\Http\Livewire\Admin\AdminSaleComponent;
use App\Http\Livewire\Admin\AdminSettingComponent;
use Illuminate\Support\Facades\Route;
use App\Http\Livewire\CartComponent;
use App\Http\Livewire\CategoryComponent;
use App\Http\Livewire\CheckoutComponent;
use App\Http\Livewire\ContactComponent;
use App\Http\Livewire\DetailsComponent;
use App\Http\Livewire\HomeComponent;
use App\Http\Livewire\SearchComponent;
use App\Http\Livewire\ShopComponent;
use App\Http\Livewire\TestComponent;
use App\Http\Livewire\ThankyouComponent;
use App\Http\Livewire\User\UserChangePasswordComponent;
use App\Http\Livewire\User\UserOrderDetailsComponent;
use App\Http\Livewire\User\UserOrdersComponent;
use App\Http\Livewire\User\UserReviewComponent;
use App\Http\Livewire\WishlistComponent;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

Route::middleware([
    'auth:sanctum',
    config('jetstream.auth_session'),
    'verified'
])->group(function () {
    Route::get('/dashboard', function () {
        return view('dashboard');
    })->name('dashboard');
});


Route::get('/', HomeComponent::class);

Route::get('shop', ShopComponent::class)->name('shop');

Route::get('cart', CartComponent::class)->name('cart');

Route::get('wishlist', WishlistComponent::class)->name('wishlist');

Route::get('checkout', CheckoutComponent::class)->name('checkout');

Route::get('about-us', AboutComponent::class)->name('about');

Route::get('contact', ContactComponent::class)->name('contact');

Route::get('products/{product}', DetailsComponent::class)->name('product.details');

Route::get('categories/{category}/{subcategory:slug?}', CategoryComponent::class)->name('category.products');

Route::get('/test', TestComponent::class)->name('test');

Route::get('/search', SearchComponent::class)->name('product.search');

Route::get('/thank-you', ThankyouComponent::class)->name('thankyou');

//For User or Customer
Route::middleware(['auth:sanctum', 'verified'])
->prefix('user')->name('user.')->group(function(){
    Route::get('dashboard', UserDashboardComponent::class)->name('dashboard');
    Route::get('orders', UserOrdersComponent::class)->name('orders');
    Route::get('orders/{order_id}', UserOrderDetailsComponent::class)->name('orders.details');
    Route::get('review/{order_item_id}', UserReviewComponent::class)->name('review');
    Route::get('change-password', UserChangePasswordComponent::class)->name('password.change');
});

//For Admin
Route::middleware(['auth:sanctum', 'verified', 'authadmin'])
->prefix('admin')->name('admin.')->group(function(){
    Route::get('/dashboard', AdminDashboardComponent::class)->name('dashboard');
    Route::get('/categories', AdminCategoryComponent::class)->name('categories');
    Route::get('/categories/create', AdminAddCategoryComponent::class)->name('categories.create');
    Route::get('/categories/edit/{category:slug}/{subcategory:slug?}', AdminEditCategoryComponent::class)->name('categories.edit');
    // Route::get('/category/delete/{category:slug}', AdminEditCategoryComponent::class)->name('categories.destroy');
    Route::get('/products', AdminProductComponent::class)->name('products');
    Route::get('/products/create', AdminAddProductComponent::class)->name('products.create');
    Route::get('/products/edit/{product:slug}', AdminEditProductComponent::class)->name('products.edit');
    // Route::get('/product/delete/{product:slug}', AdminEditProductComponent::class)->name('products.destroy');

    Route::get('/sliders', AdminHomeSliderComponent::class)->name('homeslider');
    Route::get('/sliders/create', AdminAddHomeSliderComponent::class)->name('homeslider.create');
    Route::get('/sliders/edit/{slide_id}', AdminEditHomeSliderComponent::class)->name('homeslider.edit');

    Route::get('home-categories', AdminHomeCategoryComponent::class)->name('homecategory');
    Route::get('sale-settings', AdminSaleComponent::class)->name('sale.settings');

    Route::get('coupons', AdminCouponComponent::class)->name('coupons');
    Route::get('coupons/create', AdminAddCouponComponent::class)->name('coupons.create');
    Route::get('coupons/edit/{coupon}', AdminEditCouponComponent::class)->name('coupons.edit');

    Route::get('orders', AdminOrderComponent::class)->name('orders');
    Route::get('orders/{order_id}', AdminOrderDetailsComponent::class)->name('orders.details');
    Route::get('contact', AdminContactComponent::class)->name('contact');

    Route::get('settings', AdminSettingComponent::class)->name('settings');

    Route::get('attributes', AdminAttributesComponent::class)->name('attributes');
    Route::get('attributes/create', AdminAddAttributeComponent::class)->name('attributes.create');
    Route::get('attributes/edit/{attribute}', AdminEditAttributeComponent::class)->name('attributes.edit');
});
