<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Home</title>	
    <link rel="shortcut icon" type="image/x-icon" href="assets/images/favicon.ico">
	<link href="https://fonts.googleapis.com/css?family=Lato:300,400,400italic,700,700italic,900,900italic&amp;subset=latin,latin-ext" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css?family=Open%20Sans:300,400,400italic,600,600italic,700,700italic&amp;subset=latin,latin-ext" rel="stylesheet">
	<link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/animate.css')); ?>">
	<link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/font-awesome.min.css')); ?>">
	<link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/bootstrap.min.css')); ?>">
	<link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/owl.carousel.min.css')); ?>">
	<link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/chosen.min.css')); ?>">
	<link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/style.css')); ?>">
	<link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/color-01.css')); ?>">
	<link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/select2.min.css')); ?>" >
	<link rel="stylesheet" href="<?php echo e(asset('assets/css/bootstrap-datetimepicker.min.css')); ?>">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/noUiSlider/15.7.1/nouislider.min.css" 
	integrity="sha512-qveKnGrvOChbSzAdtSs8p69eoLegyh+1hwOMbmpCViIwj7rn4oJjdmMvWOuyQlTOZgTlZA0N2PXA7iA8/2TUYA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
	
    <?php echo \Livewire\Livewire::styles(); ?>

	<?php echo $__env->yieldPushContent('child-styles'); ?>
</head>
<body class="home-page home-01 ">

	<!-- mobile menu -->
    <div class="mercado-clone-wrap">
        <div class="mercado-panels-actions-wrap">
            <a class="mercado-close-btn mercado-close-panels" href="#">x</a>
        </div>
        <div class="mercado-panels"></div>
    </div>

	<!--header-->
	<header id="header" class="header header-style-1">
		<div class="container-fluid">
			<div class="row">
				<div class="topbar-menu-area">
					<div class="container">
						<div class="topbar-menu left-menu">
							<ul>
								<li class="menu-item" >
									<a title="Hotline: (+123) 456 789" href="#" ><span class="icon label-before fa fa-mobile"></span>Hotline: (+123) 456 789</a>
								</li>
							</ul>
						</div>
						<div class="topbar-menu right-menu">
							<ul>
								<li class="menu-item lang-menu menu-item-has-children parent">
									<a title="English" href="#"><span class="img label-before"><img src="<?php echo e(asset('assets/images/lang-en.png')); ?>" alt="lang-en"></span>English<i class="fa fa-angle-down" aria-hidden="true"></i></a>
									<ul class="submenu lang" >
										<li class="menu-item" ><a title="hungary" href="#"><span class="img label-before"><img src="<?php echo e(asset('assets/images/lang-hun.png')); ?>" alt="lang-hun"></span>Hungary</a></li>
										<li class="menu-item" ><a title="german" href="#"><span class="img label-before"><img src="<?php echo e(asset('assets/images/lang-ger.png')); ?>" alt="lang-ger" ></span>German</a></li>
										<li class="menu-item" ><a title="french" href="#"><span class="img label-before"><img src="<?php echo e(asset('assets/images/lang-fra.png')); ?>" alt="lang-fre"></span>French</a></li>
										<li class="menu-item" ><a title="canada" href="#"><span class="img label-before"><img src="<?php echo e(asset('assets/images/lang-can.png')); ?>" alt="lang-can"></span>Canada</a></li>
									</ul>
								</li>
								<li class="menu-item menu-item-has-children parent" >
									<a title="Dollar (USD)" href="#">Dollar (USD)<i class="fa fa-angle-down" aria-hidden="true"></i></a>
									<ul class="submenu curency" >
										<li class="menu-item" >
											<a title="Pound (GBP)" href="#">Pound (GBP)</a>
										</li>
										<li class="menu-item" >
											<a title="Euro (EUR)" href="#">Euro (EUR)</a>
										</li>
										<li class="menu-item" >
											<a title="Dollar (USD)" href="#">Dollar (USD)</a>
										</li>
									</ul>
								</li>
								<?php if(auth()->guard()->check()): ?>
									<?php if(auth()->user()->utype === 'ADM'): ?>
										<li class="menu-item menu-item-has-children parent" >
											<a title="Dollar (USD)" href="#"><?php echo e(auth()->user()->name); ?><i class="fa fa-angle-down" aria-hidden="true"></i></a>
											<ul class="submenu curency" >
												<li class="menu-item" >
													<a title="Dashboard" href="<?php echo e(route('admin.dashboard')); ?>">Dashboard</a>
												</li>
												<li class="menu-item" >
													<a title="Categories" href="<?php echo e(route('admin.categories')); ?>">Categories</a>
												</li>
                                                <li class="menu-item" >
													<a title="Products" href="<?php echo e(route('admin.products')); ?>">Products</a>
												</li>
                                                <li class="menu-item" >
													<a title="Products" href="<?php echo e(route('admin.homeslider')); ?>">Home Slider</a>
												</li>
												<li class="menu-item" >
													<a title="Products" href="<?php echo e(route('admin.homecategory')); ?>">Home Category</a>
												</li>
												<li class="menu-item" >
													<a title="Sale Settings" href="<?php echo e(route('admin.sale.settings')); ?>">Sale Settings</a>
												</li>
												<li class="menu-item" >
													<a title="Coupons" href="<?php echo e(route('admin.coupons')); ?>">Coupons</a>
												</li>
												<li class="menu-item" >
													<a title="Orders" href="<?php echo e(route('admin.orders')); ?>">Orders</a>
												</li>
												<li class="menu-item" >
													<a title="Contact Messages" href="<?php echo e(route('admin.contact')); ?>">Messages</a>
												</li>
												<li class="menu-item" >
													<a title="Settings" href="<?php echo e(route('admin.settings')); ?>">Settings</a>
												</li>
												<li class="menu-item" >
													<a title="Attributes" href="<?php echo e(route('admin.attributes')); ?>">Attributes</a>
												</li>
												<li class="menu-item" >
													<a title="Logout" href="#" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                                                        Logout
                                                    </a>
												</li>
                                                <form id="logout-form" method="POST" action="<?php echo e(route('logout')); ?>">
                                                    <?php echo csrf_field(); ?>
                                                </form>
											</ul>
										</li>
									<?php elseif(auth()->user()->utype === 'USR'): ?>
										<li class="menu-item menu-item-has-children parent" >
											<a title="Dollar (USD)" href="#"><?php echo e(auth()->user()->name); ?><i class="fa fa-angle-down" aria-hidden="true"></i></a>
											<ul class="submenu curency" >
												<li class="menu-item" >
													<a title="dashboard" href="<?php echo e(route('user.dashboard')); ?>">Dashboard</a>
												</li>
												<li class="menu-item" >
													<a title="My Orders" href="<?php echo e(route('user.orders')); ?>">My Orders</a>
												</li>
												<li class="menu-item" >
													<a title="Password Change" href="<?php echo e(route('user.password.change')); ?>">Change Password</a>
												</li>
												<li class="menu-item" >
													<a title="Logout" href="#" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                                                        Logout
                                                    </a>
												</li>
                                                <form id="logout-form" method="POST" action="<?php echo e(route('logout')); ?>">
                                                    <?php echo csrf_field(); ?>
                                                </form>
											</ul>
										</li>
									<?php endif; ?>
								<?php else: ?>
								<li class="menu-item" ><a title="Register or Login" href="<?php echo e(route('login')); ?>">Login</a></li>
								<li class="menu-item" ><a title="Register or Login" href="<?php echo e(route('register')); ?>">Register</a></li>
								<?php endif; ?>
							</ul>
						</div> 
					</div>
				</div>

				<div class="container">
					<div class="mid-section main-info-area">

						<div class="wrap-logo-top left-section">
							<a href="/" class="link-to-home"><img src="<?php echo e(asset('assets/images/logo-top-1.png')); ?>" alt="mercado"></a>
						</div>

						<?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('header-search')->html();
} elseif ($_instance->childHasBeenRendered('sKZvK28')) {
    $componentId = $_instance->getRenderedChildComponentId('sKZvK28');
    $componentTag = $_instance->getRenderedChildComponentTagName('sKZvK28');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('sKZvK28');
} else {
    $response = \Livewire\Livewire::mount('header-search');
    $html = $response->html();
    $_instance->logRenderedChild('sKZvK28', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>

						<div class="wrap-icon right-section">
							<div class="wrap-icon-section wishlist">
								<?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('wishlist-icon-component')->html();
} elseif ($_instance->childHasBeenRendered('Tzl8TKd')) {
    $componentId = $_instance->getRenderedChildComponentId('Tzl8TKd');
    $componentTag = $_instance->getRenderedChildComponentTagName('Tzl8TKd');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('Tzl8TKd');
} else {
    $response = \Livewire\Livewire::mount('wishlist-icon-component');
    $html = $response->html();
    $_instance->logRenderedChild('Tzl8TKd', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
							</div>
							<div class="wrap-icon-section minicart">
								<?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('cart-icon')->html();
} elseif ($_instance->childHasBeenRendered('SlXvFoJ')) {
    $componentId = $_instance->getRenderedChildComponentId('SlXvFoJ');
    $componentTag = $_instance->getRenderedChildComponentTagName('SlXvFoJ');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('SlXvFoJ');
} else {
    $response = \Livewire\Livewire::mount('cart-icon');
    $html = $response->html();
    $_instance->logRenderedChild('SlXvFoJ', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
							</div>
							<div class="wrap-icon-section show-up-after-1024">
								<a href="#" class="mobile-navigation">
									<span></span>
									<span></span>
									<span></span>
								</a>
							</div>
						</div>

					</div>
				</div>

				<div class="nav-section header-sticky">
					<div class="header-nav-section">
						<div class="container">
							<ul class="nav menu-nav clone-main-menu" id="mercado_haead_menu" data-menuname="Sale Info" >
								<li class="menu-item"><a href="#" class="link-term">Weekly Featured</a><span class="nav-label hot-label">hot</span></li>
								<li class="menu-item"><a href="#" class="link-term">Hot Sale items</a><span class="nav-label hot-label">hot</span></li>
								<li class="menu-item"><a href="#" class="link-term">Top new items</a><span class="nav-label hot-label">hot</span></li>
								<li class="menu-item"><a href="#" class="link-term">Top Selling</a><span class="nav-label hot-label">hot</span></li>
								<li class="menu-item"><a href="#" class="link-term">Top rated items</a><span class="nav-label hot-label">hot</span></li>
							</ul>
						</div>
					</div>

					<div class="primary-nav-section">
						<div class="container">
							<ul class="nav primary clone-main-menu" id="mercado_main" data-menuname="Main menu" >
								<li class="menu-item home-icon">
									<a href="/" class="link-term mercado-item-title"><i class="fa fa-home" aria-hidden="true"></i></a>
								</li>
								<li class="menu-item">
									<a href="<?php echo e(route('about')); ?>" class="link-term mercado-item-title">About Us</a>
								</li>
								<li class="menu-item">
									<a href="<?php echo e(route('shop')); ?>" class="link-term mercado-item-title">Shop</a>
								</li>
								<li class="menu-item">
									<a href="<?php echo e(route('cart')); ?>" class="link-term mercado-item-title">Cart</a>
								</li>
								<li class="menu-item">
									<a href="<?php echo e(route('checkout')); ?>" class="link-term mercado-item-title">Checkout</a>
								</li>
								<li class="menu-item">
									<a href="<?php echo e(route('contact')); ?>" class="link-term mercado-item-title">Contact Us</a>
								</li>																	
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
	</header>

	<?php echo e($slot); ?>


	<?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('footer-component')->html();
} elseif ($_instance->childHasBeenRendered('JBJjveI')) {
    $componentId = $_instance->getRenderedChildComponentId('JBJjveI');
    $componentTag = $_instance->getRenderedChildComponentTagName('JBJjveI');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('JBJjveI');
} else {
    $response = \Livewire\Livewire::mount('footer-component');
    $html = $response->html();
    $_instance->logRenderedChild('JBJjveI', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>
	
	<script src="<?php echo e(asset('assets/js/jquery-1.12.4.minb8ff.js?ver=1.12.4')); ?>"></script>
	<script src="<?php echo e(asset('assets/js/jquery-ui-1.12.4.minb8ff.js?ver=1.12.4')); ?>"></script>
	<script src="<?php echo e(asset('assets/js/bootstrap.min.js')); ?>"></script>
	<script src="<?php echo e(asset('assets/js/jquery.flexslider.js')); ?>"></script>
	
	<script src="<?php echo e(asset('assets/js/owl.carousel.min.js')); ?>"></script>
	<script src="<?php echo e(asset('assets/js/jquery.countdown.min.js')); ?>"></script>
	<script src="<?php echo e(asset('assets/js/jquery.sticky.js')); ?>"></script>
	<script src="<?php echo e(asset('assets/js/functions.js')); ?>"></script>
	<script src="<?php echo e(asset('assets/js/select2.min.js')); ?>"></script>
	<script src="<?php echo e(asset('assets/js/moment.min.js')); ?>"></script>
	<script src="<?php echo e(asset('assets/js/bootstrap-datetimepicker.min.js')); ?>"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/noUiSlider/15.7.1/nouislider.min.js" 
	integrity="sha512-UOJe4paV6hYWBnS0c9GnIRH8PLm2nFK22uhfAvsTIqd3uwnWsVri1OPn5fJYdLtGY3wB11LGHJ4yPU1WFJeBYQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

    <?php echo \Livewire\Livewire::scripts(); ?>


	<?php echo $__env->yieldPushContent('child-scripts'); ?>
	
</body>
</html><?php /**PATH V:\GITprojects\Laravel\sanctum\ecommerce8live\resources\views/layouts/base.blade.php ENDPATH**/ ?>