
<main id="main" class="main-site">

    <div class="container">

        <div class="wrap-breadcrumb">
            <ul>
                <li class="item-link"><a href="/" class="link">home</a></li>
                <li class="item-link"><span>Cart</span></li>
            </ul>
        </div>
        <div class="main-content-area">
            <?php echo $__env->make('partials.flash-messages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php if(Cart::instance('cart')->count() > 0): ?>
                <div class="wrap-iten-in-cart">
                    <?php if(Cart::instance('cart')->count() > 0): ?>
                        <h3 class="box-title">Items</h3>
                        <ul class="products-cart">
                                <?php $__currentLoopData = Cart::instance('cart')->content(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> 
                                    <li class="pr-cart-item">
                                        <div class="product-image">
                                            <figure><img src="<?php echo e(asset('assets/images/products')); ?>/<?php echo e($item->model->image); ?>" alt=""></figure>
                                        </div>
                                        <div class="product-name" style="min-width: 250px">
                                            <a class="link-to-product" href="<?php echo e(route('product.details', $item->model->slug)); ?>"><?php echo e($item->model->name); ?></a>
                                        </div>

                                        <?php $__currentLoopData = $item->options; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <div style="vertical-align:middle; width:180px;">
                                                <p><b><?php echo e($key); ?>:</b> <?php echo e($value); ?></p>
                                            </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php if( $item->model->sale_price > 0 && $sale->status == 1 && $sale->sale_date > Carbon\Carbon::now()): ?>
                                        <div class="price-field produtc-price"><p class="price">₦<?php echo e($item->model->sale_price); ?></p></div>
                                        <?php else: ?>
                                        <div class="price-field produtc-price"><p class="price">₦<?php echo e($item->model->regular_price); ?></p></div>
                                        <?php endif; ?>
                                        <div class="quantity">
                                            <div class="quantity-input">
                                                <input type="text" name="product-quatity"  value="<?php echo e($item->qty); ?>" data-max="120" pattern="[0-9]*" >									
                                                <a class="btn btn-increase" href="#" wire:click.prevent="increaseQty('<?php echo e($item->rowId); ?>')"></a>
                                                <a class="btn btn-reduce" href="#" wire:click.prevent="decreaseQty('<?php echo e($item->rowId); ?>')"></a>
                                            </div>
                                            <p class="text-center"><a href="#" wire:click.prevent="switchToSaveForLater('<?php echo e($item->rowId); ?>')">Save For Later</a></p>
                                        </div>
                                        <div class="price-field sub-total"><p class="price">₦<?php echo e($item->subtotal); ?></p></div>
                                        <div class="delete">
                                            <a href="#" class="btn btn-delete" title="remove item from cart" wire:click.prevent="removeFromCart('<?php echo e($item->rowId); ?>')">
                                                <span>Delete from your cart</span>
                                                <i class="fa fa-times-circle" aria-hidden="true"></i>
                                            </a>
                                        </div>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    <?php else: ?>
                        <h3 class="text-center">There is no item in cart</h3>
                    <?php endif; ?>
                </div>
                
                <div class="summary">
                    <div class="order-summary">
                        <h4 class="title-box">Order Summary</h4>
                        <p class="summary-info"><span class="title">Subtotal</span><b class="index">₦<?php echo e(Cart::subtotal()); ?></b></p>
                        <?php if(Session::has('coupon')): ?>
                        <p class="summary-info">
                            <span class="title">
                                Discount (<?php echo e(Session::get('coupon')['code']); ?>)
                                <a href="#" wire:click.prevent="removeCoupon"><i class="fa fa-times text-danger"></i></a>
                            </span>
                            <b class="index">
                                -₦<?php echo e(number_format($discount, 2)); ?>

                            </b>
                        </p>
                        <p class="summary-info"><span class="title">Subtotal After Discount</span><b class="index">₦<?php echo e(number_format($subtotalAfterDiscount, 2)); ?></b></p>
                        <p class="summary-info"><span class="title">VAT (<?php echo e(Config('cart.tax')); ?>)%</span><b class="index">₦<?php echo e(number_format($taxAfterDiscount, 2)); ?></b></p>
                        <p class="summary-info"><span class="title">Total</span><b class="index">₦<?php echo e(number_format($totalAfterDiscount, 2)); ?></b></p>
                        <?php else: ?>
                        <p class="summary-info"><span class="title">VAT (<?php echo e(Config('cart.tax')); ?>)%</span><b class="index">₦<?php echo e(Cart::tax()); ?></b></p>
                        <p class="summary-info"><span class="title">Shipping</span><b class="index">Free Shipping</b></p>
                        <p class="summary-info total-info "><span class="title">Total</span><b class="index">₦<?php echo e(Cart::total()); ?></b></p>
                        <?php endif; ?>
                    </div>
                    
                    <div class="checkout-info" style="margin-top:15px;">
                        <label class="checkbox-field">
                            <input class="frm-input" wire:model="haveCouponCode" name="have-code" id="have-code" value="" type="checkbox"><span>I have coupon code</span>
                        </label>
                        <?php if(!Session::has('coupon')): ?>
                            <?php if($haveCouponCode == 1): ?>
                            <div class="summary-item" style="margin-top:25px; margin-bottom:20px;">
                                <form wire:submit.prevent="applyCouponCode">
                                    <h4 class="title-box">Coupon Code</h4>
                                    <?php if(Session::has('coupon_error')): ?>
                                        <div class="alert alert-danger" role="alert">
                                            <?php echo e(Session::get('coupon_error')); ?>

                                        </div>
                                    <?php endif; ?>
                                    <p class="row-in-form">
                                        <label for="coupon-code">Enter your coupon code:</label>
                                        <input type="text" name="coupon-code" wire:model="couponCode" />
                                    </p>
                                    <button type="submit" class="btn btn-small">Apply</button>
                                </form>
                            </div>
                            <?php endif; ?>
                        <?php endif; ?>
                        
                        <a class="btn btn-checkout" wire:click.prevent="checkout">Check out</a>
                        <a class="link-to-shop" href="<?php echo e(route('shop')); ?>">Continue Shopping<i class="fa fa-arrow-circle-right" aria-hidden="true"></i></a>
                    </div>
                    <div class="update-clear">
                        <a class="btn btn-clear" href="#" wire:click.prevent="clearCart">Clear Shopping Cart</a>
                        <a class="btn btn-update" href="#">Update Shopping Cart</a>
                    </div>
                </div>
            <?php else: ?>
                <div class="text-center" style="padding:30px 0;">
                    <h2>Your cart is empty!</h2>
                    <p>Add items to it now</p>
                    <a href="<?php echo e(route('shop')); ?>" class="btn btn-success">Shop Now</a>
                </div>
            <?php endif; ?>

            <div class="wrap-iten-in-cart">
                <h3 class="title-box" style="border-bottom: 1px solid; padding-bottom:15px;"><?php echo e(Cart::instance('savedForLater')->count()); ?> item(s) Saved For Later</h3>
                <?php if(session('s_success_message')): ?>
                    <div class="alert alert-success" role="alert">
                        <?php echo session('s_success_message'); ?>

                    </div>
                <?php endif; ?>
                <?php if(Cart::instance('savedForLater')->count() > 0): ?>
                    <h3 class="box-title">Items</h3>
                    <ul class="products-cart">
                            <?php $__currentLoopData = Cart::instance('savedForLater')->content(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> 
                                <li class="pr-cart-item">
                                    <div class="product-image">
                                        <figure><img src="<?php echo e(asset('assets/images/products')); ?>/<?php echo e($item->model->image); ?>" alt=""></figure>
                                    </div>
                                    <div class="product-name">
                                        <a class="link-to-product" href="<?php echo e(route('product.details', $item->model->slug)); ?>"><?php echo e($item->model->name); ?></a>
                                    </div>
                                    <?php if( $item->model->sale_price > 0 && $sale->status == 1 && $sale->sale_date > Carbon\Carbon::now()): ?>
                                    <div class="price-field produtc-price"><p class="price">₦<?php echo e($item->model->sale_price); ?></p></div>
                                    <?php else: ?>
                                    <div class="price-field produtc-price"><p class="price">₦<?php echo e($item->model->regular_price); ?></p></div>
                                    <?php endif; ?>
                                    <div class="quantity">
                                        <p class="text-center"><a href="#" wire:click.prevent="moveToCart('<?php echo e($item->rowId); ?>')">Move To Cart</a></p>
                                    </div>
                                    
                                    <div class="delete">
                                        <a href="#" class="btn btn-delete" title="remove item from cart" wire:click.prevent="deleteFromSaveForLater('<?php echo e($item->rowId); ?>')">
                                            <span>Delete from save For later</span>
                                            <i class="fa fa-times-circle" aria-hidden="true"></i>
                                        </a>
                                    </div>
                                </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                <?php else: ?>
                    <h3 class="text-center">There is no item saved for later</h3>
                <?php endif; ?>
            </div>

            

        </div><!--end main content area-->
    </div><!--end container-->

</main>

<?php /**PATH V:\GITprojects\Laravel\sanctum\ecommerce8live\resources\views/livewire/cart-component.blade.php ENDPATH**/ ?>